<?xml version="1.0" encoding="UTF-8" ?>
<html f:schemaLocation="https://fluidtypo3.org/schemas/fluid-master.xsd" lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://typo3.org/ns/TYPO3/Fluid/ViewHelpers">
<head>
    <title>CourseregistrationForm: ShowCompanyCourseregistrationForm</title>
</head>

<body>

<f:layout name="Default"/>
<f:section name="main">
    <f:if condition="{Error}!=1">
        <div>
            <f:then>
                <f:if condition="{number_subscriber}">
                    <f:then>
                        <f:form action="send" class="o-form multiform" id="courseregistrationform" method="post"
                                name="courseregistrationform">
                            <f:form.hidden name="course_event_id" value="{course_event_id}"/>

                            <f:render arguments="{aCourseData: courseData}"
                                      partial="CourseregistrationForm/CourseData"/>
                            <div class="o-form__item-group">
                                <header class="header">
                                    <h4 class="o-form__section-headline">Anmeldung als</h4>
                                </header>
                                <div class="o-form__item t-medium-6 columns">
                                    <f:form.radio checked="{ShowDefault.person}" class="button-check" id="person" name="iscompany"
                                                  onclick="toggleFirmaCourseRegistration();" value="0"/>

                                    <label class="button button--primary" for="person">
                                        Person
                                    </label>
                                    <f:form.radio checked="{ShowDefault.company}" class="button-check" id="company"
                                                  name="iscompany" onclick="toggleFirmaCourseRegistration();"
                                                  value="1"/>
                                    <label class="button button--primary" for="company">
                                        Firma (Selbstzahler)
                                    </label>
                                    <f:form.radio checked="{ShowDefault.companybg}" class="button-check" id="companybg"
                                                  name="iscompany" onclick="toggleFirmaCourseRegistration();"
                                                  value="2"/>
                                    <label class="button button--primary" for="companybg">
                                        Firma (BG)
                                    </label>
                                </div>
                            </div>

                            <!-- Formular Person Beginn -->
                            <section class="tx-drk-courseregistrationform-person"
                            <f:if condition="{ShowDefault.person}">
                                <f:then>style="display:block;"</f:then>
                                <f:else>style="display:none;"</f:else>
                            </f:if>
                            >
                            <f:render arguments="{prefix_array: prefix_array, title_array: title_array, aShowFields: aShowFields, renderMandatory: 1}"
                                      partial="CourseregistrationForm/PersonData"/>

                            <f:if condition="{bPayingCash}">
                                <f:then>
                                    <f:if condition="{payCashText} != ''">
                                        <div class="o-form__item t-medium-24 columns is-last-in-row">
                                            <header class="header">
                                                <h4 class="courseregistrationform">Hinweis zur Zahlung</h4>
                                            </header>
                                            <p>
                                                <f:format.raw>{payCashText}</f:format.raw>
                                            </p>
                                        </div>
                                    </f:if>
                                </f:then>
                                <f:else>
                                    <f:if condition="{bPayPal} == 0">
                                        <f:then>
                                            <f:render arguments="{aCourseData: courseData}"
                                                      partial="CourseregistrationForm/Payment"/>
                                        </f:then>
                                    </f:if>
                                </f:else>
                            </f:if>
                            </section>
                            <!-- Formular Person Ende -->

                            <!-- Formular Firma Selbstzahler Beginn -->
                            <section class="tx-drk-courseregistrationform-company"
                            <f:if condition="{ShowDefault.company}">
                                <f:then>style="display:block;"</f:then>
                                <f:else>style="display:none;"</f:else>
                            </f:if>
                            >
                            <f:render arguments="{aCourseData: courseData, number_subscriber: number_subscriber, prefix_array: prefix_array, title_array: title_array, renderMandatory: 1, is_bgform: 0, aShowFields: aShowFields, settings: settings}"
                                      partial="CourseregistrationForm/CompanyData"/>

                            <f:if condition="{bPayingCash}">
                                <f:then>
                                    <f:if condition="{payCashText} != ''">
                                        <div class="o-form__item t-medium-24 columns is-last-in-row">
                                            <header class="header">
                                                <h4 class="courseregistrationform">Hinweis zur Zahlung</h4>
                                            </header>
                                            <p>
                                                <f:format.raw>{payCashText}</f:format.raw>
                                            </p>
                                        </div>
                                    </f:if>
                                </f:then>
                                <f:else>
                                    <f:render arguments="{aCourseData: courseData, isCompany: 1}"
                                              partial="CourseregistrationForm/Payment"/>
                                </f:else>
                            </f:if>

                            </section>
                            <!-- Formular Firma Ende -->

                            <!-- Formular Firma BG Beginn -->
                            <section class="tx-drk-courseregistrationform-companybg"
                            <f:if condition="{ShowDefault.companybg}">
                                <f:then>style="display:block;"</f:then>
                                <f:else>style="display:none;"</f:else>
                            </f:if>
                            >
                            <f:render arguments="{aCourseData: courseData, number_subscriber: number_subscriber, prefix_array: prefix_array, title_array: title_array, renderMandatory: 1, is_bgform: 1, aShowFields: aShowFields, settings: settings}"
                                      partial="CourseregistrationForm/CompanyData"/>
                            </section>
                            <!-- Formular Firma BG Ende -->

                            <f:if condition="{terms_url} != ''">
                                <f:render arguments="{terms_url: terms_url}" partial="CourseregistrationForm/Agb"/>
                            </f:if>

                            <f:if condition="{aShowFields.EmailDeclassification}">
                                <f:render partial="CourseregistrationForm/AdditionalInformation"/>
                            </f:if>
                            <f:if condition="{privacy_url} != ''">
                                <f:render arguments="{privacy_url: privacy_url}"
                                          partial="CourseregistrationForm/Privacy"/>
                            </f:if>
                            <f:if condition="{bPayPal}">
                                <f:render arguments="{aCourseData: courseData, settings: settings}"
                                          partial="CourseregistrationForm/PaypalPayment"/>
                            </f:if>

                            <f:render partial="CourseregistrationForm/Submit"/>

                        </f:form>
                        <div class="modal tx-drk-courseregistrationform-send-modal">
                            <header class="header">
                                <h3 class="o-form__section-headline">Vielen Dank,</br> Ihre Anmeldung wird verarbeitet.</h3>
                            </header>
                        </div>
                    </f:then>
                    <f:else>
                        <p>{sOverbookingForbiddenMessage}</p>
                        <p style="margin-top: 1em"><input class="button o-btn" name="back_button" onClick="javascript:history.back(1)"
                                                          type="button" value="Zurück"></p>
                    </f:else>
                </f:if>
            </f:then>
            <f:else>
                <div class="min-content-width">
                <p>
                    <strong>Fehlermeldung</strong></br>
                    <f:for as="error_value" each="{errorMessages}" key="error_key">
                        {error_value}
                    </f:for>
                </p>
                <p style="margin-top: 1em"><input class="button o-btn" name="back_button" onClick="javascript:history.back(1)" type="button"
                                                  value="Zurück"></p>
                </div>
            </f:else>
        </div>
    </f:if>
</f:section>
</body>
</html>
